<?php echo $this->Html->css('EvCheckout.checkout', array('inline' => false)); ?>
<?php echo $this->Html->script('EvCheckout.checkout', array('inline' => false)); ?>
<div class="row">
	
	<ul class='arrow-breadcrumbs arrow-breadcrumbs--4-items'>
		<li class='arrow-breadcrumbs__item active'>
			<i class="fa fa-user"></i> Personal Details/Login
		</li>

		<li class='arrow-breadcrumbs__item'>
			<div class='arrow-breadcrumbs__spacer'>&nbsp;</div>
			<i class="fa fa-truck"></i> Delivery Address
		</li>

		<li class='arrow-breadcrumbs__item'>
			<div class='arrow-breadcrumbs__spacer'>&nbsp;</div>
			<i class="fa fa-credit-card"></i> Pay & Confirm
		</li>

		<li class='arrow-breadcrumbs__item'>
			<div class='arrow-breadcrumbs__spacer'>&nbsp;</div>
			<i class="fa fa-check"></i> Order Complete
		</li>
	</ul>

</div>	


<div class='row'>
	<div class='col-10'>
		<h1>Personal Details / Login</h1>
	</div>
</div>

<div class='row'> 

	<div class="col-5">
		<fieldset>
			<legend>Personal Details</legend>

			<?php echo Configure::read('SiteSetting.registration_intro'); ?>

			<?php
				echo $this->Form->create('Customer', array('class' => 'form--rounded_fields'));
			?>

				<?php 
					echo $this->Radio->input(
						'Customer.checkout_as_guest', 
						array(
							'0' => 'Register a new account', 
							'1' => 'Guest Checkout'
						), 
						array(
							'legend' => false, 
							'default' => '0', 
							'class' => 'checkout_as_guest_checkbox'
						)
					)
				?>

				<h3>Personal Details</h3>

				<?php 
					echo $this->Form->addField('Customer.title', array(
						'type' => 'select', 
						'options' => array(
							'Mr' => 'Mr', 
							'Mrs' => 'Mrs', 
							'Miss' => 'Miss', 
							'Ms' => 'Ms'
						)
					));
				?>

				<?php 
					echo $this->Form->addField('Customer.first_name', array(
						'type' => 'string', 
					));
				?>
				<?php 
					echo $this->Form->addField('Customer.last_name', array(
						'type' => 'string', 
					));
				?>
				<?php 
					echo $this->Form->addField('Customer.phone', array(
						'type' => 'telephone', 
					));
				?>
				<?php 
					echo $this->Form->addField('Customer.email', array(
						'type' => 'email', 
					));
				?>

				<div class="register-passwords">
				
					<h3>Account Details</h3>

					<?php 
						echo $this->Form->addField('Customer.password', array(
							'type' => 'password'
						));
					?>
					<?php 
						echo $this->Form->addField('Customer.confirm_password', array(
							'type' => 'password'
						));
					?>

				</div>

				<?php 
					echo $this->Form->addField('Customer.accept_terms', array(
						'type' => 'boolean',
						'format' => array('before', 'label', 'input',  'between',  'after', 'error'),
						'label' => array(
							'text' => 'I accept the '.
								$this->Html->link(
									'Terms & Conditions', 
									'/terms-and-conditions', 
									array('target' => '_blank')
								), 
							'escape' => false
						)
					));
				?>

				<div class="input submit">
					<label>&nbsp;</label>
					<?php
						echo $this->Form->button('Register & Proceed <i class="fa fa-caret-right"></i>',
							array( 
								'escape' => false
							)
						);
					?>
				</div>

			<?php echo $this->Form->end(); ?>

		</fieldset>
	</div>

	<div class="col-5">
		<fieldset>
			<legend>Login</legend>

			<p>If you are an existing customer please login</p>

			<?php
				echo $this->Form->create('User', array(
					'class' => 'form--rounded_fields',
					'url' => '/users/login'));
			?>

				<?php 
					echo $this->Form->addField('User.email', array(
						'type' => 'email', 
					));
				?>

				<?php 
					echo $this->Form->addField('User.password', array(
						'type' => 'password'
					));
				?>

				<div class="input submit">
					<label>&nbsp;</label>
					<?php
						echo $this->Form->button('Login <i class="fa fa-caret-right"></i>',
							array( 
								'escape' => false
							)
						);
					?>
				</div>

			<?php echo $this->Form->end(); ?>

			<p>If you have forgotton your password please <?php echo $this->Html->link('click here to recover it', '/user_account/password_reset')?>.</p>

		</fieldset>
	</div>

</div>